/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java application project to get you started.
 * For more details take a look at the 'Building Java & JVM projects' chapter in the Gradle
 * User Manual available at https://docs.gradle.org/6.7/userguide/building_java_projects.html
 */

plugins {
    // Apply the application plugin to add support for building a CLI application in Java.
    application
    war
}

repositories {
    // Use JCenter for resolving dependencies.
    jcenter()
    mavenCentral()
}

dependencies {
    // Use JUnit Jupiter API for testing.
    testImplementation("org.junit.jupiter:junit-jupiter-api:5.6.2")

    // Use JUnit Jupiter Engine for testing.
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine")

    implementation("com.google.guava:guava:29.0-jre")
    implementation("org.springframework:spring-context:5.3.9")
    testImplementation("org.springframework:spring-test:5.3.9")
    implementation("commons-io:commons-io:2.11.0")

    implementation("org.apache.httpcomponents:httpclient:4.5.13")
    implementation("javax.annotation:javax.annotation-api:1.3.2")

    implementation("com.github.spullara.mustache.java:compiler:0.9.10")
    implementation("org.jsoup:jsoup:1.16.1")

    implementation("org.springframework:spring-webmvc:5.3.2")
    compileOnly("javax.servlet:javax.servlet-api:3.1.0")

    implementation("org.apache.tomcat.embed:tomcat-embed-core:9.0.41")

    implementation("com.samskivert:jmustache:1.15")
    implementation("com.github.mjeanroy:springmvc-mustache-jmustache:2.0.0")

    implementation("org.springframework.data:spring-data-jpa:2.6.0")
    implementation("org.springframework:spring-jdbc:5.3.13")
    implementation("org.springframework:org.springframework.jdbc:3.2.2.RELEASE")

    implementation("org.hibernate:hibernate-core:5.6.15.Final")
    testImplementation("com.h2database:h2:2.2.220")
    implementation("org.apache.tomcat:tomcat-dbcp:9.0.1")
    implementation("mysql:mysql-connector-java:8.0.28")
    implementation("javax.persistence:javax.persistence-api:2.2")
    testImplementation("org.slf4j:slf4j-log4j12:2.0.7")
    testImplementation("junit:junit:4.13.2")
}

application {
    // Define the main class for the application.
    mainClass.set("ru.inordic.HumanWithData.App")
}

tasks.test {
    // Use junit platform for unit tests.
    useJUnitPlatform()
}
